## ghostscript 8.71~dfsg2

=== debian/changelog ===
ghostscript (8.71~dfsg2-9+squeeze1) stable-security; urgency=low

  * CVE-2012-4405

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 28 Dec 2012 02:50:02 +0000

ghostscript (8.71~dfsg2-9) unstable; urgency=low

  * Fix merge in 8.71~dfsg2-6.1 (not unreleased 8.71~dfsg2-7).
  * Fix strip CMap files in target related to libgs8 (not ghostscript).
  * Package now team-maintained:
    + Set Debian Printing Team as author.
    + Set myself and Add Michael Gilbert as uploaders. Welcome, Michael!
    + Drop Masayuki Hatta and Torsten Landschoff as uploaders,
      reflecting the sad reality of them going silent. Thanks for past
      contributions, and feel free to join back later!

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Jan 2011 02:38:59 +0100

ghostscript (8.71~dfsg2-8) unstable; urgency=low

  * Update VCS hints to track squeeze-targeted branch.
  * Sync control.in with control:
    + Add Michael Gilbert as uploader.
    + Newline-delimit uploaders.
  * Fix install arch-independent files in library package: they are
    needed by library calls (not only by executables):
    + Install /usr/share/ghostscript/* into libgs8.
    + Install empty dir var/lib/ghostscript/CMap into libgs8 (as well as
      into ghostscript where install scripts depend on it) as it is used
      by symlink.
    + Have libgs8 break and replace older ghostscript.
    Closes: bug#485621, thanks to Tom Parker and others.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Jan 2011 16:12:44 +0100

ghostscript (8.71~dfsg2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix various aspects of CVE-2010-2055:
    - Honor -P- command-line option (closes: #584653).
    - Set SEARCH_HERE_FIRST=0 by default (closes: #584663).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 09 Dec 2010 21:40:17 -0500

ghostscript (8.71~dfsg2-6) unstable; urgency=low

  * Acknowledge pseudo-NMUs.
    Closes: bug#584667, #584516, #583738, thanks to Moritz Muehlenhoff
    and Sebastian Dröge.
  * There is no such thing as a "collab-maint upload:
    + Edit historical changelog entries to avoid further repitition.
    + Document sensible use of collab-maint for NMUs in README.source.
  * Reorder patches to match upstream commit order.
  * Replace patches 0960-0962 (fix printing from GTK+ apps) from Ubuntu
    with corresponding patches cherry-picked from upstream.
  * Refresh patches using shortening options --no-timestamps --no-index
    -pab.
  * Bump Standards-Version to 3.9.1.
  * Put myself as maintainer and Hatta as uploader, to better reflect
    our current levels of activity.
  * Drop superfluous cleanup in preinst of transitional gs-common.
    Thanks to Jonathan Nieder (see bug#519141).
  * Fix circular dependency: Stop ugly transitional hack of ghostscript
    depending on gs-common (which depends on ghostscript).
    Closes: bug#519141, thanks to Bill Allombert, Jonathan Nieder and
    others (see also bug#539754).
  * Add patch 011547 cherry-picked from upstream Subversion, to improve
    cups device support for rendering with high memory demands. Possibly
    fixes bug#534414 (try also setting RIPCache=auto in cupsd.conf).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Aug 2010 09:55:55 +0200

ghostscript (8.71~dfsg2-5) unstable; urgency=low

  * Adding myself to uploaders temporarily            
    (note to others: please do not follow this example. Instead either
    commit to collab-maint and request a maintainer to release it or do
    a classic NMU).
  * Apply some patches from the Ubuntu package by Till Kamppeter to
    fix printing from GTK+ applications. This is upstream bug #691014
    and fixed upstream too (Closes: #583738).
  * Refresh all patches to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 18 Aug 2010 09:55:39 +0200

ghostscript (8.71~dfsg2-4) unstable; urgency=medium

  * Adding myself to uploaders temporarily
    (note to others: please do not follow this example. Instead either
    commit to collab-maint and request a maintainer to release it or do
    a classic NMU).
  * Fix CVE-2010-1628 (Closes: #584516)
  * Apply upstream commit r11351 to pass -P- to all Ghostscript
    internal tools. Ghostscript will likely be changed to run
    with -P- by default, but this still needs more work/testing
    for a final patch (Closes: #584667)	

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 31 Jul 2010 23:19:42 -0400

ghostscript (8.71~dfsg2-3) unstable; urgency=low

  * Fix have update-gsfontmap script exit 0.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 May 2010 17:17:14 +0200

ghostscript (8.71~dfsg2-2) unstable; urgency=low

  * Drop defoma. Add update-gsfontmap to provide cidfmap and Fontmap.
    Closes: bug#582110, thanks to Kenshi Muto.
  * List newly added update-gsfontmap script to copyright file (GPL).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 May 2010 16:19:33 +0200

ghostscript (8.71~dfsg2-1) unstable; urgency=low

  * Use system jbig2dec:
    + Strip jbig2dec subdir.
    + Include (i.e. no longer strip) parts of Resource/CMap subdir:
      DFSG-free now (Adobe-specific license).
    + Bump DFSG repackaging tag.
    + Configure with SHARE_JBIG2=1.
    + Build-depend on libjibg2dec-dev.
    + Strip jbig_* symbols from symbols file.
  * Update/improve copyright file:
    + Rewrap license section Expat, and add comment on Expat variation.
    + Tighten license sections in copyright file.
    + Mention stripped files/dirs in copyright file.
    + Stop listing jbig2dec files.
    + Explicitly list stripped DFSG-nonfree parts of Resource/CMap
      subdir.
    + Stop mentioning local CDBS snippets (no longer included).
  * Strip CMap files (shipped separately, registered with DeFoMa).

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 17 May 2010 19:03:51 +0200

ghostscript (8.71~dfsg-4) unstable; urgency=low

  * Drop locally included d-shlibdeps, and instead tighten build-
    dependency on d-shlibs to versions supporting inversioned -dev


=== debian/control ===
Source: ghostscript
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Michael Gilbert <michael.s.gilbert@gmail.com>
Build-Depends: cdbs (>= 0.4.70~),
 autotools-dev,
 debhelper (>= 6),
 dh-buildinfo,
 devscripts (>= 2.10.7~),
 libjpeg-dev,
 libpaper-dev,
 libpng-dev,
 libz-dev,
 libfontconfig1-dev,
 libjasper-dev,
 libtiff-dev,
 libexpat-dev,
 libjbig2dec-dev,
 libcups2-dev (>= 1.3.7),
 libcupsimage2-dev (>= 1.1.20final+rc1-4),
 freeglut3-dev | libglut-dev,
 libxt-dev,
 libxext-dev,
 libx11-dev,
 libice-dev,
 libsm-dev,
 pkg-config,
 d-shlibs (>= 0.43)
Standards-Version: 3.9.1
Homepage: http://www.ghostscript.com/
Vcs-Git: git://git.debian.org/git/collab-maint/ghostscript.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ghostscript.git;a=shortlog;h=refs/heads/master-squeeze

Package: ghostscript
Architecture: any
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Provides: ${cdbs:Provides}
Recommends: ${cdbs:Recommends}
Suggests: ${shlibs:Suggests}
Depends: ${shlibs:Depends}, ${cdbs:Depends}, libgs8 (= ${binary:Version}), ${misc:Depends}
Breaks: ${cdbs:Breaks}
Description: The GPL Ghostscript PostScript/PDF interpreter
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics to be printed
 on non-PostScript printers. Supported printers include common
 dot-matrix, inkjet and laser models.
 .
 Package gsfonts contains a set of standard fonts for Ghostscript.

Package: gs-esp
Architecture: all
Priority: extra
Depends: ${cdbs:Depends}, ${misc:Depends}
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous gs-esp package (the package is replaced by ghostscript).
 It may safely be removed after installation.

Package: gs-gpl
Architecture: all
Priority: extra
Depends: ${cdbs:Depends}, ${misc:Depends}
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous gs-gpl package (the package is replaced by ghostscript).
 It may safely be removed after installation.

Package: gs-common
Architecture: all
Priority: extra
Depends:  ${cdbs:Depends}, ${misc:Depends}
Description: Dummy package depending on ghostscript
 This dummy package is provided for a smooth transition from the
 previous gs-.../gs-common combo (the packages are replaced by ghostscript).

Package: ghostscript-cups
Architecture: any
Depends: ${shlibs:Depends}, ${cdbs:Depends}, ${misc:Depends}
Recommends: ${cdbs:Recommends}, ${cdbs:Recommends}
Conflicts: ${cdbs:Conflicts}
Provides: ${cdbs:Provides}
Description: The GPL Ghostscript PostScript/PDF interpreter - CUPS filters
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 This package contains the CUPS filters, drivers, and PPDs which come with
 Ghostscript.

Package: ghostscript-x
Architecture: any
Depends: ${shlibs:Depends}, ${cdbs:Depends}, ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Provides: ${cdbs:Provides}
Description: The GPL Ghostscript PostScript/PDF interpreter - X Display support
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 This package contains the Ghostscript output device for X11. It is in
 a separate package to allow the main package (ghostscript) to be installed
 on X-less servers.

Package: ghostscript-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${cdbs:Depends}, ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Description: The GPL Ghostscript PostScript/PDF interpreter - Documentation
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 This package contains the documentation of Ghostscript. As this documentation
 is only interesting for printer driver developers or advanced users, it is
 in this separate package which can be left out in space-restricted
 installations, like for example live CDs.

Package: libgs8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: ${cdbs:Replaces}
Breaks: ${cdbs:Breaks}
Description: The Ghostscript PostScript/PDF interpreter Library
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 This package provides the Ghostscript library which makes the 
 facilities of Ghostscript available to applications.

Package: libgs-dev
Section: libdevel
Architecture: any
Depends: ${devlibs:Depends}, ${cdbs:Depends}, ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Provides: ${cdbs:Provides}
Description: The Ghostscript PostScript Library - Development Files
 Ghostscript is used for PostScript/PDF preview and printing.  Usually as
 a back-end to a program such as ghostview, it can display PostScript and PDF
 documents in an X11 environment.
 .
 This package provides the development files for the Ghostscript library 
 which makes the facilities of Ghostscript available to applications.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2004-2009, Masayuki Hatta (mhatta) <mhatta@debian.org>
# Copyright © 2009-2010, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for GPL Ghostscript
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

# ABI by default follows upstream version (without repackaging suffix)
abi = $(DEB_UPSTREAM_TARBALL_VERSION)
libname = libgs
libpkgname = $(libname)8

DEB_UPSTREAM_URL = http://ghostscript.com/releases
DEB_UPSTREAM_TARBALL_MD5 = 51a522a5b4818bd3dc7c1c0e9dd22bad

# Non-DFSG license limited to verbatim copying
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./Resource/CMap/90ms-RKSJ-UCS2 \
	./Resource/CMap/90pv-RKSJ-UCS2 \
	./Resource/CMap/90pv-RKSJ-UCS2C \
	./Resource/CMap/Adobe-CNS1-B5pc \
	./Resource/CMap/Adobe-CNS1-ETenms-B5 \
	./Resource/CMap/Adobe-CNS1-H-CID \
	./Resource/CMap/Adobe-CNS1-H-Host \
	./Resource/CMap/Adobe-CNS1-H-Mac \
	./Resource/CMap/Adobe-CNS1-UCS2 \
	./Resource/CMap/Adobe-GB1-GBK-EUC \
	./Resource/CMap/Adobe-GB1-GBpc-EUC \
	./Resource/CMap/Adobe-GB1-H-CID \
	./Resource/CMap/Adobe-GB1-H-Host \
	./Resource/CMap/Adobe-GB1-H-Mac \
	./Resource/CMap/Adobe-GB1-UCS2 \
	./Resource/CMap/Adobe-Japan1-90ms-RKSJ \
	./Resource/CMap/Adobe-Japan1-90pv-RKSJ \
	./Resource/CMap/Adobe-Japan1-H-CID \
	./Resource/CMap/Adobe-Japan1-H-Host \
	./Resource/CMap/Adobe-Japan1-H-Mac \
	./Resource/CMap/Adobe-Japan1-PS-H \
	./Resource/CMap/Adobe-Japan1-PS-V \
	./Resource/CMap/Adobe-Japan1-UCS2 \
	./Resource/CMap/Adobe-Korea1-H-CID \
	./Resource/CMap/Adobe-Korea1-H-Host \
	./Resource/CMap/Adobe-Korea1-H-Mac \
	./Resource/CMap/Adobe-Korea1-KSCms-UHC \
	./Resource/CMap/Adobe-Korea1-KSCpc-EUC \
	./Resource/CMap/Adobe-Korea1-UCS2 \
	./Resource/CMap/B5pc-UCS2 \
	./Resource/CMap/B5pc-UCS2C \
	./Resource/CMap/CNS01-RKSJ-H \
	./Resource/CMap/CNS02-RKSJ-H \
	./Resource/CMap/CNS03-RKSJ-H \
	./Resource/CMap/CNS04-RKSJ-H \
	./Resource/CMap/CNS05-RKSJ-H \
	./Resource/CMap/CNS06-RKSJ-H \
	./Resource/CMap/CNS07-RKSJ-H \
	./Resource/CMap/CNS15-RKSJ-H \
	./Resource/CMap/ETen-B5-UCS2 \
	./Resource/CMap/GB-RKSJ-H \
	./Resource/CMap/GBK-EUC-UCS2 \
	./Resource/CMap/GBT-RKSJ-H \
	./Resource/CMap/GBpc-EUC-UCS2 \
	./Resource/CMap/GBpc-EUC-UCS2C \
	./Resource/CMap/HK-RKSJ-H \
	./Resource/CMap/Hojo-RKSJ-H \
	./Resource/CMap/KSC-RKSJ-H \
	./Resource/CMap/KSC2-RKSJ-H \
	./Resource/CMap/KSCms-UHC-UCS2 \
	./Resource/CMap/KSCpc-EUC-UCS2 \
	./Resource/CMap/KSCpc-EUC-UCS2C \
	./Resource/CMap/TCVN-RKSJ-H \
	./Resource/CMap/UCS2-90ms-RKSJ \
	./Resource/CMap/UCS2-90pv-RKSJ \
	./Resource/CMap/UCS2-B5pc \
	./Resource/CMap/UCS2-ETen-B5 \
	./Resource/CMap/UCS2-GBK-EUC \
	./Resource/CMap/UCS2-GBpc-EUC \
	./Resource/CMap/UCS2-KSCms-UHC \
	./Resource/CMap/UCS2-KSCpc-EUC
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./Resource/CMap/Identity-UTF16-H \
	./Resource/CMap/Identity-UTF16-V
# Sources unavailable
#DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jasper/doc/*.pdf
# unused sources cluttering authorship/licensing tracking
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./zlib/ ./libpng/ ./jasper/ ./jbig2dec/

# TODO: drop this before next upstream release
DEB_UPSTREAM_REPACKAGE_TAG = dfsg2

# Use system libraries
gs_opts = SHARE_ZLIB=1 SHARE_LIBPNG=1 SHARE_JPEG=1 SHARE_JPX=1 SHARE_LIBTIFF=1 SHARE_EXPAT=1 SHARE_JBIG2=1

gs_opts += CUPSDATA=/usr/share/ppd/ghostscript

# for building w/ FAPI
ifneq (,$(findstring FT_BRIDGE,$(DEB_BUILD_OPTIONS)))
FT_CFLAGS := $(shell pkg-config --cflags freetype2)
FT_LIBS := $(shell pkg-config --libs freetype2)
# TODO: document why CPPFLAGS is used (not CFLAGS)
CPPFLAGS += $(FT_CFLAGS)
LDFLAGS += $(FT_LIBS)
gs_opts += FT_BRIDGE=1 FT_CFLAGS="$(FT_CFLAGS)" FT_LIB="$(FT_LIBS)"
endif

# FIXME: build without PIC for -dev package
CFLAGS += -fPIC

DEB_CONFIGURE_EXTRA_FLAGS = \
	--with-ijs --with-jbig2dec --with-jasper --with-system-libtiff \
	--with-x --disable-gtk \
	--enable-dynamic --with-omni --enable-cups --disable-compile-inits \
	--with-drivers=ALL \
	--with-fontpath=/var/lib/ghostscript/fonts:/usr/share/cups/fonts:/usr/share/ghostscript/fonts:/usr/local/lib/ghostscript/fonts:/usr/share/fonts
# cairo support still experimental and makes core gs depend on X11 libs.
DEB_CONFIGURE_EXTRA_FLAGS += --disable-cairo

DEB_MAKE_BUILD_TARGET = so gs.a $(gs_opts)
DEB_MAKE_INSTALL_TARGET = soinstall install-cups DESTDIR=$(DEB_DESTDIR) $(gs_opts)

DEB_DH_INSTALL_ARGS = --sourcedir=debian/tmp
DEB_DH_MAKESHLIBS_ARGS = -Pdebian/$(cdbs_curpkg)

# Preserve upstream-shipped patch noise
DEB_CLEAN_EXCLUDE += contrib/pcl3/eprn/eprnrend.c.orig

# put aside upstream-shipped temp files during build but after copyright-check
upstreamtmpfiles = cups/pstopxl cups/pstoraster
pre-build:: debian/stamp-upstreamtmpstuff
debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file ] || [ -e $$file.upstream ] || mv $$file $$file.upstream; \
	done
	touch $@
clean::
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
	done
	rm -f debian/stamp-upstreamtmpstuff

# Generate (and cleanup) files containing variables static per build
infiles = $(filter-out debian/control.in, $(wildcard debian/*.in))
outfiles = $(basename $(infiles))
DEB_PHONY_RULES += $(outfiles)
pre-build:: $(outfiles)
$(outfiles): update-config debian/stamp-copyright-check
	sed 's/__ABI__/$(abi)/' <$@.in >$@
clean::
	rm -f $(outfiles)

pre-build clean:: fail-source-not-repackaged

clean::
	[ ! -f Makefile ] || $(MAKE) soclean
	[ ! -f Makefile ] || $(MAKE) distclean
# These are somehow left...
	rm -rf sobin soobj gs.a

install/ghostscript::
	# Remove some of the scripts
	rm $(DEB_DESTDIR)/usr/bin/unix-lpr.sh $(DEB_DESTDIR)/usr/bin/lprsetup.sh $(DEB_DESTDIR)/usr/bin/pv.sh $(DEB_DESTDIR)/usr/bin/fixmswrd.pl

	# Do not include the Ghostscript loader executable with GTK support
	rm -f $(DEB_DESTDIR)/usr/bin/gsx

	# Rename /usr/bin/gsc, to not conflict with gambc
	mv $(DEB_DESTDIR)/usr/bin/gsc $(DEB_DESTDIR)/usr/bin/gs
	mkdir -p $(DEB_DESTDIR)/usr/sbin/
	install -m 755 debian/update-gsfontmap $(DEB_DESTDIR)/usr/sbin

install/$(libpkgname)::
	# Strip CMap files (shipped separately, registered with DeFoMa)
	rm -rf $(DEB_DESTDIR)/usr/share/ghostscript/$(abi)/Resource/CMap

install/libgs-dev::
	mkdir -p $(DEB_DESTDIR)/usr/lib/
	install -m 644 gs.a \
		$(DEB_DESTDIR)/usr/lib/libgs.a

# Let d-shlibs calculate development package dependencies
#  and handle shared library install
binary-post-install/$(libpkgname):: debian/stamp-local-shlibs-$(libname)
debian/stamp-local-shlibs-$(libname): binary-install/$(libpkgname)
	d-shlibmove --commit \
		--override s/libstdc++6.*-dev// \
		--override s/libgnutls26/libgnutls/ \
		--override s/libjasper1/libjasper/ \
		--override s/libpaper1/libpaper/ \
		--devunversioned --ignorelibdep \
		--movedev "debian/tmp/usr/include/*" usr/include/ \
		debian/tmp/usr/lib/$(libname).so
clean::
	rm -f debian/stamp-local-shlibs-$(libname)

install/$(libpkgname)::
	file='$(DEB_DESTDIR)/usr/share/ghostscript/$(abi)/Resource/Init/cidfmap'; \
	  ! egrep -v '^(%([^%].*)?)?$$' "$$file" && rm "$$file" || ( \
		echo; \
		echo 'ERROR: cidfmap not virtually empty as expected,'; \

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=dversionmangle=s/\~dfsg.*// \
	http://ghostscript.com/releases/ghostscript-(\d+[^-]+)\.tar\.gz

## ghostscript 8.71.dfsg.1

=== contrib/pscolor/Makefile ===

all:	bin/pscolor.exe


bin/pscolor.exe: test.c lex.yy.c
	cl -D_Windows -Isrc -Febin/pscolor.exe test.c lex.yy.c bin/gsdll32.lib

test:	bin/pscolor.exe
	./bin/pscolor.exe <input.ps

lex.yy.c: instream.yy
	flex -l -8 instream.yy

## ghostscript 9.01~dfsg

=== debian/changelog ===
ghostscript (9.01~dfsg-1ubuntu5) natty; urgency=low

  * gs-common: Reintroduce dependency on ghostscript, still too many packages
    assuming gs-common has the binaries.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Apr 2011 15:01:16 +0200

ghostscript (9.01~dfsg-1ubuntu4) natty; urgency=low

  * debian/patches/012310_opvp-fixes-for-gs9: Fixes concerning the
    compatibility of the OpenPrinting Vector ("opvp") output device with/
    Ghostscript 9.x.

     1. If there is any ICCColor based image in the PostScript input, GS
        crashes.
     2. Fallback when path is too complex for some kinds of printers. This
        problem

    already existed in GS 8.x.

    Thanks to Koji Otani from BBR Inc., Japan.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 25 Mar 2011  17:44:00 +0100

ghostscript (9.01~dfsg-1ubuntu3) natty; urgency=low

  * Really break and replace older ghostscript in libgs9-common.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Feb 2011 02:38:09 +0000

ghostscript (9.01~dfsg-1ubuntu2) natty; urgency=low

  * debian/rules, debian/ubuntu/apport-hook.py: Dropped the Apport hook on
    the merge from Debian. Re-added it.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 22 Feb 2011  20:37:00 +0100

ghostscript (9.01~dfsg-1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/ghostscript-cups.postinst: Fixed "lpstat -r" check for the
      auto update of PPDs of existing queues. "lpstat -r" exits always with
      status 0, we must check the actual output. Call lpstat, lpadmin, and
      cupsctl with "-h /var/run/cups/cups.sock" to avoid querying remote
      servers set up in /etc/cups/client.conf, and asking for passwords.
      Thanks to Martin-Éric Racine for tracking this down and the solution!
      See Debian bug #543468. Use signal names instead of numbers for trap,
      quiesces a lintian bashism warning.
    - debian/ghostscript.preinst: Clean up traces of Ghostscript in defoma
      via "defoma-app purge gs", so that when updating packages which still
      use defoma no warnings get issued.
    - debian/ghostscript.preinst: Use Ubuntu version numbers.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 22 Feb 2011  19:03:00 +0100

ghostscript (9.01~dfsg-1) unstable; urgency=low

  * New upstream release.
    + Drop cherry-picked and adopted patches.
      Thanks to Till Kamppeter!
  * Enable new FAPI (Freetype-based font rasterizer).
    Build-depend on libfreetype6-dev.
  * Strip additional libraries from repackaged source:
    + cups/libs: unneeded convenience library.
    + jpeg: convenience library used for broken JPEG (see bug#582521).
    + jpegxr: patented controversial JPEG XR convenience library.
  * Stop custom-handling upstream-shipped patch noise or autotools
    files: Properly shipped upstream now.
    Stop build-depending on autotools-dev or autoconf.
  * Update copyright file:
    + Extend copyright years.
    + Drop notes on no longer shipped jpeg files.
  * Update README.Debian:
    + Drop mentioning old merge of gs-gpl, gs-esp, and gs-common.
    + Drop note on files stripped from repackaged source: More accurate
      list provided in README.source for some time now.
    + Refer to bug#582521 regarding use of shared JPEG library.
    + Drop section on no longer used DeFoMa.
    + Fix Project name, and update trailing timestamp and author.
  * Fix move empty-cidfmap safety-check after binary-install targets.
  * Add patch 1001 to fix hashbang of cidfmap file: accidentally garbled
    upstream.
  * Update symbols file.
  * Fix build-depend on libijs-dev, to get back IJS support accidentally
    removed since 9.00~dfsg-1.  Add libijs quirk to s-shlibs invocation.
  * Build-depend on libidn11-dev, to support Unicode passwords.
  * Drop no longer needed configure option --disable-cairo.
  * Override lintian false positive: libgsN != libgsN-common.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Feb 2011 22:22:40 +0100

ghostscript (9.01~dfsg-0ubuntu1) natty; urgency=low

  * New upstream release
     o Final 9.01 release of Ghostscript
     o Support for using the system's libijs.
    Taken the ijs/ subdirectory out of the repackaged source tarball again
    as support for an external libijs got added now (LP: #704913, LP: #704157).
  * debian/control: Added libijs-dev to the build dependencies.
  * debian/rules: Added ijs/ subdirectory back to the upstream source
    repackaging check.
  * debian/rules: Updated regular expression to check whether
    Resource/Init/cidfmap is virtually empty.
  * debian/rules: Added a "--override" for libijs to the d-shlibmove call.
  * debian/symbols.common: Updated for new upstream source. Applied patch
    which dpkg-gensymbols generated for debian/libgs9.symbols to this file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 12 Feb 2011  21:00:00 +0100

ghostscript (9.01~dfsg~svn12047-0ubuntu1) natty; urgency=low

  * New upstream release
     o SVN snapshot rev. 12047
    Taken back the ijs subdirectory into the repackaged source tarball as
    Ghostscript's build system does not support using an external, shared
    libijs (LP: #704913, LP: #704157).
    Removed the newly added ./cups/libs/ directory in the repackaging as
    we use the CUPS libraries of the cups package.
  * debian/rules: Removed ijs subdirectory from upstream source repackaging
    check and added cups/libs/ subdirectory.
  * debian/rules: Override a bug that if dynamically loadable X11 drivers are
    uses ("./configure --enable-dynamic") that in the core Ghostscript library
    the X11 drivers are also built in. This bug got most probably introduced
    with SVN rev. 12025.
  * debian/symbols.common: Updated for new upstream source. Applied patch
    which dpkg-gensymbols generated for debian/libgs9.symbols to this file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 22 Jan 2011  11:25:36 +0100

ghostscript (9.01~dfsg~svn12005-0ubuntu1) natty; urgency=low



=== debian/control ===
Source: ghostscript
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 devscripts (>= 2.10.7~),
 libfreetype6-dev,
 libjpeg-dev,
 libpaper-dev,
 libpng-dev,
 libz-dev,
 libfontconfig1-dev,
 libjasper-dev,
 libtiff-dev,
 libexpat-dev,
 libjbig2dec-dev,
 liblcms-dev,
 libidn11-dev,
 libijs-dev,
 libcups2-dev (>= 1.3.7),
 libcupsimage2-dev (>= 1.1.20final+rc1-4),
 freeglut3-dev | libglut-dev,
 libxt-dev,
 libxext-dev,
 libx11-dev,
 libice-dev,
 libsm-dev,
 pkg-config,
 d-shlibs (>= 0.43)
Standards-Version: 3.9.1
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Michael Gilbert <michael.s.gilbert@gmail.com>
Homepage: http://www.ghostscript.com/
Vcs-Git: git://git.debian.org/git/collab-maint/ghostscript.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ghostscript.git;a=summary

Package: ghostscript
Architecture: any
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Provides: ${cdbs:Provides}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Depends: ${shlibs:Depends},
 ${cdbs:Depends},
 libgs9 (= ${binary:Version}),
 ${misc:Depends}
Breaks: ${cdbs:Breaks}
Description: interpreter for the PostScript language and for PDF
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics to be
 printed on non-PostScript printers. Supported printers include common
 dot-matrix, inkjet and laser models.

Package: gs-gpl
Architecture: all
Priority: extra
Depends: ${cdbs:Depends},
 ${misc:Depends}
Description: Transitional dummy package for ghostscript
 This is a dummy package provided for a smooth transition from previous
 separately packages Ghostscript flavors now replaced by ghostscript.
 .
 It may safely be removed after installation.

Package: gs-common
Architecture: all
Priority: extra
Depends: ghostscript, ${cdbs:Depends},
 ${misc:Depends}
Description: Transitional dummy package for ghostscript
 This is a dummy package provided for a smooth transition from previous
 separately packages Ghostscript flavors now replaced by ghostscript.
 .
 It may safely be removed after installation.

Package: ghostscript-cups
Architecture: any
Depends: ${shlibs:Depends},
 ${cdbs:Depends},
 ${misc:Depends}
Recommends: ${cdbs:Recommends},
 ${cdbs:Recommends}
Conflicts: ${cdbs:Conflicts}
Provides: ${cdbs:Provides}
Description: interpreter for the PostScript language and for PDF - CUPS filters
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains the CUPS filters, drivers, and PPDs which come
 with GPL Ghostscript.

Package: ghostscript-x
Architecture: any
Depends: ${shlibs:Depends},
 ${cdbs:Depends},
 ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Provides: ${cdbs:Provides}
Description: interpreter for the PostScript language and for PDF - X11 support
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains the GPL Ghostscript output device for X11.

Package: ghostscript-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends},
 ${cdbs:Depends},
 ${misc:Depends}
Suggests: ${cdbs:Suggests}
Conflicts: ${cdbs:Conflicts}
Description: interpreter for the PostScript language and for PDF - Documentation
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains documentation for GPL Ghostscript, mainly
 targeted developers and advanced users.

Package: libgs9
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${cdbs:Depends},
 ${misc:Depends},
 libgs9 (= ${source:Version})
Description: interpreter for the PostScript language and for PDF - Library
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package provides the Ghostscript library which makes the
 facilities of GPL Ghostscript available to applications.

Package: libgs9-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Breaks: ghostscript (<< 9.01~dfsg-1)
Replaces: ghostscript (<< 9.01~dfsg-1)
Description: interpreter for the PostScript language and for PDF - common files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package provides common architecture-independent files needed by
 the GPL Ghostscript library.

Package: libgs-dev
Section: libdevel
Architecture: any
Priority: extra
Depends: ${devlibs:Depends},
 ${cdbs:Depends},
 ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Provides: ${cdbs:Provides}
Description: interpreter for the PostScript language and for PDF - Development Files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package provides the development files for the GPL Ghostscript
 library which makes the facilities of GPL Ghostscript available to
 applications.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2004-2009, Masayuki Hatta (mhatta) <mhatta@debian.org>
-# Copyright © 2009-2010, Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2009-2011, Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for GPL Ghostscript
 #
 # This program is free software; you can redistribute it and/or
@@ -17,6 +17,12 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
+# This needs to run before cdbs auto-update
+debian/control:: debian/control.in
+DEB_PHONY_RULES += debian/control.in
+debian/control.in::
+	sed $(SEDRULE_CONTENT) <debian/control.in.in >debian/control.in
+
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
@@ -24,11 +30,13 @@
 
 # ABI by default follows upstream version (without repackaging suffix)
 abi = $(DEB_UPSTREAM_TARBALL_VERSION)
+major := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/\..*$$//')
 libname = libgs
-libpkgname = $(libname)8
+libpkgname = $(libname)$(major)
+datapkgname = $(libname)$(major)-common
 
 DEB_UPSTREAM_URL = http://ghostscript.com/releases
-DEB_UPSTREAM_TARBALL_MD5 = 51a522a5b4818bd3dc7c1c0e9dd22bad
+DEB_UPSTREAM_TARBALL_MD5 = 5352c1c542cfabe928cfd3a17db051ad
 
 # Non-DFSG license limited to verbatim copying
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./Resource/CMap/90ms-RKSJ-UCS2 \
@@ -95,27 +103,25 @@
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./Resource/CMap/Identity-UTF16-H \
 	./Resource/CMap/Identity-UTF16-V
 # Sources unavailable
+# (PDFs kept commented out as reminder, in case jasper iss included)
 #DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jasper/doc/*.pdf
-# unused sources cluttering authorship/licensing tracking
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./zlib/ ./libpng/ ./jasper/ ./jbig2dec/
-
-# TODO: drop this before next upstream release
-DEB_UPSTREAM_REPACKAGE_TAG = dfsg2
+# convenience libraries cluttering authorship/licensing tracking
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./cups/libs/
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./expat/ ./freetype/ ./icclib/ ./ijs/ ./jasper/ ./jbig2dec/ ./lcms/ ./libpng/ ./tiff/ ./zlib/
+# convenience library enabling old non-standard option (see bug#582521)
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jpeg/
+# convenience library implementing patented controversial JPEG XR format
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jpegxr/
+
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(Resource/Font/.*|debian/(changelog|copyright(|_hints|_newhints)))$
 
 # Use system libraries
-gs_opts = SHARE_ZLIB=1 SHARE_LIBPNG=1 SHARE_JPEG=1 SHARE_JPX=1 SHARE_LIBTIFF=1 SHARE_EXPAT=1 SHARE_JBIG2=1
+# (listed in order of appearance)
+gs_opts = SHARE_JPEG=1 SHARE_LIBPNG=1 SHARE_LIBTIFF=1 SHARE_ZLIB=1 SHARE_JBIG2=1 SHARE_JPX=1 SHARE_LCMS=1 SHARE_IJS=1 SHARE_LCUPS=1 SHARE_LCUPSI=1 SHARE_EXPAT=1
 
 gs_opts += CUPSDATA=/usr/share/ppd/ghostscript
 
-# for building w/ FAPI
-ifneq (,$(findstring FT_BRIDGE,$(DEB_BUILD_OPTIONS)))
-FT_CFLAGS := $(shell pkg-config --cflags freetype2)
-FT_LIBS := $(shell pkg-config --libs freetype2)
-# TODO: document why CPPFLAGS is used (not CFLAGS)
-CPPFLAGS += $(FT_CFLAGS)
-LDFLAGS += $(FT_LIBS)
-gs_opts += FT_BRIDGE=1 FT_CFLAGS="$(FT_CFLAGS)" FT_LIB="$(FT_LIBS)"
-endif
+gs_opts += LCMSSRCDIR=/usr
 
 # FIXME: build without PIC for -dev package
 CFLAGS += -fPIC
@@ -126,39 +132,31 @@
 	--enable-dynamic --with-omni --enable-cups --disable-compile-inits \
 	--with-drivers=ALL \
 	--with-fontpath=/var/lib/ghostscript/fonts:/usr/share/cups/fonts:/usr/share/ghostscript/fonts:/usr/local/lib/ghostscript/fonts:/usr/share/fonts
-# cairo support still experimental and makes core gs depend on X11 libs.
-DEB_CONFIGURE_EXTRA_FLAGS += --disable-cairo
+
+gs_opts += SHARE_FT=1
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-freetype
+CDBS_BUILD_DEPENDS += , libfreetype6-dev
 
 DEB_MAKE_BUILD_TARGET = so gs.a $(gs_opts)
 DEB_MAKE_INSTALL_TARGET = soinstall install-cups DESTDIR=$(DEB_DESTDIR) $(gs_opts)
 
-DEB_DH_INSTALL_ARGS = --sourcedir=debian/tmp
-DEB_DH_MAKESHLIBS_ARGS = -Pdebian/$(cdbs_curpkg)
-
-# Preserve upstream-shipped patch noise
-DEB_CLEAN_EXCLUDE += contrib/pcl3/eprn/eprnrend.c.orig
-
-# put aside upstream-shipped temp files during build but after copyright-check
-upstreamtmpfiles = cups/pstopxl cups/pstoraster
-pre-build:: debian/stamp-upstreamtmpstuff
-debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
-	for file in $(upstreamtmpfiles); do \
-		[ ! -e $$file ] || [ -e $$file.upstream ] || mv $$file $$file.upstream; \
-	done
-	touch $@
-clean::
-	for file in $(upstreamtmpfiles); do \
-		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
-	done
-	rm -f debian/stamp-upstreamtmpstuff
+SEDRULE_CONTENT = 's/__ABI__/$(abi)/g;s/__VER__/$(major)/g'
+
+pre-build:: debian/control.in.in
+	echo "sed $(SEDRULE_CONTENT) <$< | diff -u debian/control.in -"
+	@sed $(SEDRULE_CONTENT) <$< | diff -u debian/control.in - || ( \
+		echo; \
+		echo "Upstream version has changed (or debian/control.in.in is out of sync)"; \
+		echo "Edit debian/control manually, or use the following command:"; \
+		echo "  DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean"; \
+		exit 1)
 
 # Generate (and cleanup) files containing variables static per build
-infiles = $(filter-out debian/control.in, $(wildcard debian/*.in))
-outfiles = $(basename $(infiles))
-DEB_PHONY_RULES += $(outfiles)
+infiles = $(filter-out debian/control.in debian/control.in.in, $(wildcard debian/*.in))
+outfiles = $(subst $(libname)__VER__,$(libpkgname),$(basename $(infiles)))
 pre-build:: $(outfiles)
 $(outfiles): update-config debian/stamp-copyright-check
-	sed 's/__ABI__/$(abi)/' <$@.in >$@
+	sed $(SEDRULE_CONTENT) <$(subst $(libpkgname),$(libname)__VER__,$@).in >$@
 clean::
 	rm -f $(outfiles)
 
@@ -168,7 +166,7 @@
 	[ ! -f Makefile ] || $(MAKE) soclean
 	[ ! -f Makefile ] || $(MAKE) distclean
 # These are somehow left...
-	rm -rf sobin soobj gs.a
+	rm -rf sobin soobj gs.a cups/pstoraster cups/pstopxl
 
 install/ghostscript::
 	# Remove some of the scripts
@@ -182,7 +180,12 @@
 	mkdir -p $(DEB_DESTDIR)/usr/sbin/
 	install -m 755 debian/update-gsfontmap $(DEB_DESTDIR)/usr/sbin
 
-install/$(libpkgname)::
+	# Install Apport hook (Ubuntu only)
+	if dpkg-vendor --is ubuntu; then \
+		install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/ghostscript/usr/share/apport/package-hooks/source_ghostscript.py; \
+	fi
+
+install/$(datapkgname)::
 	# Strip CMap files (shipped separately, registered with DeFoMa)
 	rm -rf $(DEB_DESTDIR)/usr/share/ghostscript/$(abi)/Resource/CMap
 
@@ -197,17 +200,3 @@
 debian/stamp-local-shlibs-$(libname): binary-install/$(libpkgname)
 	d-shlibmove --commit \
 		--override s/libstdc++6.*-dev// \
-		--override s/libgnutls26/libgnutls/ \
-		--override s/libjasper1/libjasper/ \
-		--override s/libpaper1/libpaper/ \
-		--devunversioned --ignorelibdep \
-		--movedev "debian/tmp/usr/include/*" usr/include/ \
-		debian/tmp/usr/lib/$(libname).so
-clean::
-	rm -f debian/stamp-local-shlibs-$(libname)
-
-install/$(libpkgname)::
-	file='$(DEB_DESTDIR)/usr/share/ghostscript/$(abi)/Resource/Init/cidfmap'; \
-	  ! egrep -v '^(%([^%].*)?)?$$' "$$file" && rm "$$file" || ( \
-		echo; \
-		echo 'ERROR: cidfmap not virtually empty as expected,'; \
